<template>
  <div>
    <div class="subtitle-2">
      <b>Unidad de Negocio</b><span class="tRojo">*</span>
    </div>
    <v-autocomplete
      v-model="data.value"
      :items="unidadesNegocios"
      item-text="descripcion"
      item-value="idUnidadNegocio"
      label="Selecciona la unidad de negocio"
      single-line
      return-object
      :error="data.validator.$error"
    >
      <template v-if="data.validator.$error" v-slot:append-outer>
        <v-popover placement="bottom-end" offset="16">
          <v-icon class color="#fd5151">mdi-alert-circle</v-icon>
          <template slot="popover">
            <div @click="data.validator.$reset()" v-close-popover>
              <span v-if="!data.validator.required"
                >¡No te olvides de éste campo!</span
              >
            </div>
          </template>
        </v-popover>
      </template>
    </v-autocomplete>
  </div>
</template>
<script>
import store from "@/store";
const axios = store.state.axiosApiLocal;
export default {
  name: "Component-UnidadNegocio",
  props: ["value"],
  computed: {
    data: {
      get() {
        return this.value;
      },
      set(value) {
        this.$emit("input", value);
      },
    },
  },
  data() {
    return {
      unidadesNegocios: [],
    };
  },
  methods: {
    getUnidadesNegocios() {
      var self = this;
      axios("/unidades-negocios/v1/")
        .then((response) => {
          let data = response.data;
          if (data) {
            self.unidadesNegocios = data.resultado.unidadesNegocio;
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },
  },
  created() {
    this.getUnidadesNegocios();
  },
};
</script>
